#include<stdio.h>
int main{
    long long w,h,r,q,x1;
    scanf("%lld%lld%lld%lld",&w,&h,&r,&q);
    for(i=0;i<q;i++)scanf("%lld",&x1);
    printf("1");
    printf("1");
    printf("1");
    printf("1");
    return 0;
}